{
  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
    utils.url = "github:numtide/flake-utils";
  };
  outputs = { self, nixpkgs, utils }: utils.lib.eachDefaultSystem (system:
    let
      pkgs = nixpkgs.legacyPackages.${system};
      buildInputs = with pkgs; [
        just
        toml2json
        nodePackages.webpack-cli
        entr

        typescript
        typescript-language-server
      ];
    in
    {
      packages.default = pkgs.stdenv.mkDerivation {
        name = "notenrechner";
        src = ./.;

        inherit buildInputs;

        buildPhase = ''
          just build
        '';
        installPhase = ''
          mkdir -p $out
          cp dist/* $out/
        '';
      };

      devShell = pkgs.mkShell {
        inherit buildInputs;
      };
    }
  );
}
